org.apache.ignite.ml.sql

## Class SqlDatasetBuilder

- java.lang.Object
- - org.apache.ignite.ml.dataset.impl.cache.CacheBasedDatasetBuilder<Object,BinaryObject>
  - - org.apache.ignite.ml.sql.SqlDatasetBuilder

- All Implemented Interfaces:
    DatasetBuilder<Object,BinaryObject>

      public class SqlDatasetBuilder
      extends CacheBasedDatasetBuilder<Object,BinaryObject>

  Subclass of `CacheBasedDatasetBuilder` that should be used to work with SQL tables.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.dataset.impl.cache.CacheBasedDatasetBuilder

      `DEFAULT_NUMBER_OF_RETRIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlDatasetBuilder(Ignite ignite, String upstreamCache)` Constructs a new instance of cache based dataset builder that makes `CacheBasedDataset` with default predicate that passes all upstream entries to dataset.
    `SqlDatasetBuilder(Ignite ignite, String upstreamCache, IgniteBiPredicate<Object,BinaryObject> filter)` Constructs a new instance of cache based dataset builder that makes `CacheBasedDataset`.
    `SqlDatasetBuilder(Ignite ignite, String upstreamCache, IgniteBiPredicate<Object,BinaryObject> filter, UpstreamTransformerBuilder transformerBuilder)` Constructs a new instance of cache based dataset builder that makes `CacheBasedDataset`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.ml.dataset.impl.cache.CacheBasedDatasetBuilder

      `build, getUpstreamCache, withFilter, withKeepBinary, withRetriesNumber, withUpstreamTransformer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlDatasetBuilder

          public SqlDatasetBuilder(Ignite ignite,
                                   String upstreamCache)

      Constructs a new instance of cache based dataset builder that makes `CacheBasedDataset` with default predicate that passes all upstream entries to dataset.
      Parameters:
        `ignite` - Ignite instance.
        `upstreamCache` - Name of Ignite Cache with `upstream` data.

    - #### SqlDatasetBuilder

          public SqlDatasetBuilder(Ignite ignite,
                                   String upstreamCache,
                                   IgniteBiPredicate<Object,BinaryObject> filter)

      Constructs a new instance of cache based dataset builder that makes `CacheBasedDataset`.
      Parameters:
        `ignite` - Ignite instance.
        `upstreamCache` - Name of Ignite Cache with `upstream` data.
        `filter` - Filter for `upstream` data.

    - #### SqlDatasetBuilder

          public SqlDatasetBuilder(Ignite ignite,
                                   String upstreamCache,
                                   IgniteBiPredicate<Object,BinaryObject> filter,
                                   UpstreamTransformerBuilder transformerBuilder)

      Constructs a new instance of cache based dataset builder that makes `CacheBasedDataset`.
      Parameters:
        `ignite` - Ignite instance.
        `upstreamCache` - Name of Ignite Cache with `upstream` data.
        `filter` - Filter for `upstream` data.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023